Subject: bug#10217: closed (Re: bug#10217: 24.0.92; Error on quitting Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Dec 2011 08:20:02 +0000

Your bug report

#10217: 24.0.92; Error on quitting Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10217: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10217
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10217: 24.0.92; Error on quitting Emacs
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 06 Dec 2011 03:18:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.93

I don't think this can do any harm, so I installed it.
Maybe it should have just been pid == 0 || pid == -1, but I wasn't sure
if other negative pids are being used for anything.

Subject: 24.0.92; Error on quitting Emacs
From: Jürgen Bickert <[email-masked]>
To: [email-masked]
Date: Sun, 4 Dec 2011 23:41:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

If you evaluate '(start-process "foo" " foo" "ls" 10)' an error occurs
since 10 is not of type sequence. Then if you try to quit emacs the same
error occurs which makes it impossible to quit emacs without killing
it.

In GNU Emacs 24.0.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.6)
 of 2011-12-04 on cddr
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.UTF-8
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
( s t a r t - p r o c e s s SPC " f o o " SPC " SPC
f o o " SPC " l s " SPC 1 0 ) C-x C-e q C-x C-c M-x r e p o r t -
<tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level.
(No files need saving)
list-processes--refresh: Wrong type argument: sequencep, 10

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug tabulated-list help-mode easymenu view debug time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer loaddefs button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)